'use strict';

var vue = require('vue');

const CAccordionButton = vue.defineComponent({
    name: 'CAccordionButton',
    setup(_, { slots }) {
        const toggleVisibility = vue.inject('toggleVisibility');
        const visible = vue.inject('visible');
        return () => vue.h('button', {
            type: 'button',
            'aria-expanded': !visible.value,
            class: ['accordion-button', { ['collapsed']: !visible.value }],
            onClick: () => toggleVisibility(),
        }, slots.default && slots.default());
    },
});

exports.CAccordionButton = CAccordionButton;
//# sourceMappingURL=CAccordionButton.js.map
