'use strict';

var vue = require('vue');

const CBackdrop = vue.defineComponent({
    name: 'CBackdrop',
    props: {
        /**
         * Toggle the visibility of modal component.
         */
        visible: {
            type: Boolean,
            default: false,
        },
    },
    setup(props) {
        return () => vue.h(vue.Transition, {
            onEnter: (el) => {
                el.classList.add('show');
            },
            onLeave: (el) => {
                el.classList.remove('show');
            },
        }, () => props.visible &&
            vue.h('div', {
                class: 'fade',
            }));
    },
});

exports.CBackdrop = CBackdrop;
//# sourceMappingURL=CBackdrop.js.map
