'use strict';

var vue = require('vue');

const CBreadcrumbItem = vue.defineComponent({
    name: 'CBreadcrumbItem',
    props: {
        /**
         * Toggle the active state for the component.
         */
        active: Boolean,
        /**
         * The `href` attribute for the inner link component.
         */
        href: String,
    },
    setup(props, { slots }) {
        return () => vue.h('li', {
            class: [
                'breadcrumb-item',
                {
                    active: props.active,
                },
            ],
            ...(props.active && { 'aria-current': 'page' }),
        }, props.href
            ? vue.h('a', { href: props.href }, slots.default && slots.default())
            : slots.default && slots.default());
    },
});

exports.CBreadcrumbItem = CBreadcrumbItem;
//# sourceMappingURL=CBreadcrumbItem.js.map
