'use strict';

var vue = require('vue');
var CLink = require('../link/CLink.js');

const CCardLink = vue.defineComponent({
    name: 'CCardLink',
    props: {
        /**
         * The href attribute specifies the URL of the page the link goes to.
         */
        href: {
            type: String,
            default: '#',
        },
    },
    setup(props, { slots }) {
        return () => vue.h(CLink.CLink, { class: 'card-link', href: props.href }, { default: () => slots.default && slots.default() });
    },
});

exports.CCardLink = CCardLink;
//# sourceMappingURL=CCardLink.js.map
