'use strict';

var vue = require('vue');

const CFormLabel = vue.defineComponent({
    name: 'CFormLabel',
    props: {
        /**
         * A string of all className you want to be applied to the component, and override standard className value.
         */
        customClassName: [Array, String],
    },
    setup(props, { slots }) {
        return () => vue.h('label', {
            class: props.customClassName ?? 'form-label',
        }, slots.default && slots.default());
    },
});

exports.CFormLabel = CFormLabel;
//# sourceMappingURL=CFormLabel.js.map
