'use strict';

var vue = require('vue');
var CNavLink = require('./CNavLink.js');

const CNavItem = vue.defineComponent({
    name: 'CNavItem',
    props: {
        ...CNavLink.CNavLink.props,
        /**
         * Component used for the root node. Either a string to use a HTML element or a component.
         */
        as: {
            type: String,
            default: 'li',
        },
    },
    setup(props, { slots }) {
        return () => vue.h(props.as, {
            as: props.component,
            class: 'nav-item',
        }, props.href
            ? vue.h(CNavLink.CNavLink, {
                active: props.active,
                disabled: props.disabled,
                href: props.href,
            }, {
                default: () => slots.default && slots.default(),
            })
            : slots.default && slots.default());
    },
});

exports.CNavItem = CNavItem;
//# sourceMappingURL=CNavItem.js.map
