'use strict';

var vue = require('vue');
var CToastClose = require('./CToastClose.js');

const CToastHeader = vue.defineComponent({
    name: 'CToastHeader',
    props: {
        /**
         * Automatically add a close button to the header.
         */
        closeButton: Boolean,
    },
    emits: [
        /**
         * Event called after clicking the close button.
         */
        'close',
    ],
    setup(props, { slots, emit }) {
        return () => vue.h('div', { class: 'toast-header' }, [
            slots.default && slots.default(),
            props.closeButton &&
                vue.h(CToastClose.CToastClose, {
                    onClose: () => emit('close'),
                }),
        ]);
    },
});

exports.CToastHeader = CToastHeader;
//# sourceMappingURL=CToastHeader.js.map
