'use strict';

var vue = require('vue');
var core = require('@popperjs/core');

const usePopper = () => {
    const _popper = vue.ref();
    const initPopper = (reference, popper, options) => {
        _popper.value = core.createPopper(reference, popper, options);
    };
    const destroyPopper = () => {
        if (_popper.value) {
            _popper.value.destroy();
        }
        _popper.value = undefined;
    };
    return {
        popper: _popper.value,
        initPopper,
        destroyPopper,
    };
};

exports.usePopper = usePopper;
//# sourceMappingURL=usePopper.js.map
