'use strict';

var vue = require('vue');

const useUniqueId = (prefix = '') => {
    const ids = vue.ref([]);
    const getUID = () => {
        do {
            prefix += Math.floor(Math.random() * 1_000_000);
        } while (ids.value.includes(prefix));
        ids.value.push(prefix);
        return prefix;
    };
    return {
        getUID,
    };
};

exports.useUniqueId = useUniqueId;
//# sourceMappingURL=useUniqueId.js.map
